 /*********************************************************************/
 /*                                                                   */
 /*                         parse state table                         */
 /*                                                                   */
 /*                                                            . --+  */
 /*                                                      -> --+    |  */
 /*                                                  = --+    |    |  */
 /*                                         other --+    |    |    |  */
 /*                                       ON --+    |    |    |    |  */
 /*                           OTHERWISE --+    |    |    |    |    |  */
 /*                       operator --+    |    |    |    |    |    |  */
 /*                   INITIAL --+    |    |    |    |    |    |    |  */
 /*               string --+    |    |    |    |    |    |    |    |  */
 /*          number --+    |    |    |    |    |    |    |    |    |  */
 /*       word --+    |    |    |    |    |    |    |    |    |    |  */
 /*comment--+    |    |    |    |    |    |    |    |    |    |    |  */
 /*         |    |    |    |    |    |    |    |    |    |    |    |  */
 /*         1    2    3    4    5    6    7    8    9   10   11   12  */
 /*         |    |    |    |    |    |    |    |    |    |    |    |  */
 /*  1 */ ( 1,   4,  44,  44,   4,  44,   9,  17,   4,  44,  44,  44,
 /*    */     1,  44,   2,  44,  44,  43,  21,   4,  28,   4,   9,  14,
 /*  2 */   2,   2,   2,   2,   2,   2,   2,   2,   3,   2,   2,   2,
 /*    */     1,   2,   2,   2,   2,  43,   2,   2,   2,   2,   2,   2,
 /*  3 */   3,  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,
 /*    */     1,   1,  44,  44,  44,  43,  44,  44,  44,  44,  44,  44,
 /*  4 */   4,   8,   8,  44,   8,  44,   8,   8,   8,   8,   5,   5,
 /*    */     1,   1,   6,  44,   5,  43,   8,   8,   8,   8,   8,   8,
 /*  5 */   5,   7,  44,  44,   7,  44,   7,   7,  44,  44,  44,  44,
 /*    */     1,  44,  44,  44,  44,  43,   7,   7,   7,   7,   7,   7,
 /*  6 */   6,   6,   6,   6,   6,   6,   6,   6,   7,   6,   6,   6,
 /*    */     1,   6,   6,   6,   6,  43,   6,   6,   6,   6,   6,   6,
 /*  7 */   7,   8,   8,   8,   8,   8,   8,   8,   8,   8,   5,   5,
 /*    */     1,   1,   6,  44,   5,  43,   8,   8,   8,   8,   8,   8,
 /*  8 */   8,   8,   8,   8,   8,   8,   8,   8,   8,   8,   8,   8,
 /*    */     1,   8,   8,   8,   8,  43,   8,   8,   8,   8,   8,   8,
 /*  9 */   9,   4,  44,  44,   4,  44,   4,  17,   4,   8,   5,   5,
 /*    */     1,   1,  10,  44,   5,  43,  21,   8,  28,   4,   4,   4,
 /* 10 */  10,   6,   6,   6,   6,   6,   6,   6,   6,  44,  44,  44,
 /*    */     1,  44,   6,  44,  44,  43,   6,  11,   6,   6,   6,   6,
 /* 11 */  11,   6,   6,   6,   6,   6,   6,   6,   6,   6,   6,   6,
 /*    */     1,   6,  13,  12,  10,  43,   6,   6,   6,   6,   6,   6,
 /* 12 */  12,  44,  44,  44,  44,  44,  44,  44,  44,   8,   5,   5,
 /*    */     1,   1,  44,  44,   5,  43,  44,  44,  44,  44,  44,  44,
 /* 13 */  13,  13,  13,  13,  13,  13,  13,  13,  11,  13,  13,  13,
 /*    */     1,  13,  13,  13,  13,  43,  13,  13,  13,  13,  13,  13,
 /* 14 */  14,  44,  44,  44,  44,  44,  44,  44,  44,   8,   5,   5,
 /*    */     1,   1,  15,  44,   5,  43,  44,  44,  44,  44,  44,  44,
 /* 15 */  15,  15,  15,  15,  15,  15,  15,  15,  16,  15,  15,  15,
 /*    */     1,  15,  15,  15,  15,  43,  15,  15,  15,  15,  15,  15,
 /* 16 */  16,   4,  44,  44,   4,  44,   4,  17,  44,   8,   5,   5,
 /*    */     1,   1,   2,  44,   5,  43,   4,   4,  28,   4,   4,   4,
 /* 17 */  17,  18,  44,  44,  44,  44,  44,  44,  44,   8,   5,   5,
 /*    */     1,   1,   6,  44,   5,  43,  44,  18,  44,  44,  44,  44,
 /* 18 */  18,   4,  44,  44,   4,  44,   4,  17,  44,  44,  44,  44,
 /*    */     1,  44,  19,  44,  44,  43,   4,   4,   4,   4,   4,   4,
 /* 19 */  19,  19,  19,  19,  19,  19,  19,  19,  20,  19,  19,  19,
 /*    */     1,  19,  19,  19,  19,  43,  19,  19,  19,  19,  19,  19,
 /* 20 */  20,   4,  44,  44,   4,  44,   4,  44,  44,  44,  44,  44,
 /*    */     1,   1,   2,  44,  44,  43,   4,   4,   4,   4,   4,   4,
 /* 21 */  21,  22,  24,  44,  22,  44,  22,  22,  22,   8,   5,   5,
 /*    */     1,   1,  21,  44,   5,  43,  22,  22,  22,  22,  22,  22,
 /* 22 */  22,  22,  44,  22,  22,  44,  44,  44,  44,  44,  22,  22,
 /*    */     1,  44,  23,  45,  21,  43,  44,  44,  44,  44,  44,  44,
 /* 23 */  23,  23,  23,  23,  23,  23,  23,  23,  22,  23,  23,  23,
 /*    */     1,  23,  23,  23,  23,  43,  23,  23,  23,  23,  23,  23,
 /* 24 */  24,  22,  44,  44,  22,  44,  22,  22,  22,  44,  44,  44,
 /*    */     1,  44,  25,  44,  44,  43,  22,  22,  22,  22,  22,  22,
 /* 25 */  25,  26,  44,  44,  26,  44,  26,  26,  26,  44,  44,  44,
 /*    */     1,  44,  25,  44,  44,  43,  26,  26,  26,  26,  26,  26,
 /* 26 */  26,  26,  44,  26,  26,  44,  44,  44,  22,  44,  26,  26,
 /*    */     1,  44,  27,  26,  25,  43,  44,  44,  44,  44,  44,  44,
 /* 27 */  27,  27,  27,  27,  27,  27,  27,  27,  26,  27,  27,  27,
 /*    */     1,  27,  27,  27,  27,  43,  27,  27,  27,  27,  27,  27,
 /* 28 */  28,  29,  34,  34,  29,  32,  29,  29,  20,   8,   5,   5,
 /*    */     1,   1,  35,  44,   5,  43,  29,  29,  29,  29,  29,  29,
 /* 29 */  29,  44,  44,  44,  44,  32,  44,  44,  44,  32,  31,  31,
 /*    */     1,  44,  30,  44,  44,  43,  44,  44,  44,   1,  44,  44,
 /* 30 */  30,  30,  30,  30,  30,  30,  30,  30,  29,  30,  30,  30,
 /*    */     1,  30,  30,  30,  30,  43,  30,  30,  30,  30,  30,  30,
 /* 31 */  31,  29,  44,  44,  29,  44,  29,  29,  44,  44,  44,  44,
 /*    */     1,  44,  44,  44,  44,  43,  29,  29,  29,  29,  29,  29,
 /* 32 */  32,  29,  34,  34,  29,  32,  29,  29,  44,  44,  44,  44,
 /*    */     1,  44,  33,  44,  44,  43,  29,  29,  29,  29,  29,  29,
 /* 33 */  33,  33,  33,  33,  33,  33,  33,  33,  34,  33,  33,  33,
 /*    */     1,  33,  33,  33,  33,  43,  33,  33,  33,  33,  33,  33,
 /* 34 */  34,  44,  44,  44,  44,  32,  44,  44,  44,  32,  32,  32,
 /*    */     1,  44,  44,  44,  44,  43,  44,  44,  44,   1,  44,  44,
 /* 35 */  35,  35,  35,  35,  35,  35,  35,  35,  36,  35,  35,  35,
 /*    */     1,  35,  35,  35,  35,  43,  35,  35,  35,  35,  35,  35,
 /* 36 */  36,  44,  44,  44,  44,  32,  44,  44,  44,  37,   5,   5,
 /*    */     1,   1,  44,  44,   5,  43,  44,  44,  44,   1,  44,  44,
 /* 37 */  37,  38,  42,  42,  38,  37,  38,  38,  44,  44,  44,  44,
 /*    */     1,  44,  41,  44,  44,  43,  38,  38,  38,  38,  38,  38,
 /* 38 */  38,  44,  44,  44,  44,  37,  44,  44,  44,  37,  40,  40,
 /*    */     1,  44,  39,  44,   5,  43,  44,  44,  44,   1,  44,  44,
 /* 39 */  39,  39,  39,  39,  39,  39,  39,  39,  38,  39,  39,  39,
 /*    */     1,  39,  39,  39,  39,  43,  39,  39,  39,  39,  39,  39,
 /* 40 */  40,  38,  44,  44,  38,  44,  38,  38,  44,  44,  44,  44,
 /*    */     1,  44,  44,  44,  44,  43,  38,  38,  38,  38,  38,  38,
 /* 41 */  41,  41,  41,  41,  41,  41,  41,  41,  42,  41,  41,  41,
 /*    */     1,  41,  41,  41,  41,  43,  41,  41,  41,  41,  41,  41,
 /* 42 */  42,  44,  44,  44,  44,  37,  44,  44,  44,  37,  44,  44,
 /*    */     1,  44,  44,  44,   5,  43,  44,  44,  44,   1,  44,  44,
 /* 43 */  43,  43,  43,  43,  43,  43,  43,  43,  43,  43,  43,  43,
 /*    */    43,  43,  43,  43,  43,  43,  43,  43,  43,  43,  43,  43,
 /* 44 */  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,
 /*    */     1,  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,  44,
 /* 45 */  22,  22,  44,  22,  22,  44,  44,  44,  44,  44,  44,  44,
 /*    */     1,  44,  23,  45,  21,  43,  44,  44,  44,  44,  44,  44)
 /*           |    |    |    |    |    |    |    |    |    |    |    |*/
 /*          13   14   15   16   17   18   19   20   21   22   23   24*/
 /*           |    |    |    |    |    |    |    |    |    |    |    |*/
 /*       ; --+    |    |    |    |    |    |    |    |    |    |    |*/
 /*            : --+    |    |    |    |    |    |    |    |    |    |*/
 /*                 ( --+    |    |    |    |    |    |    |    |    |*/
 /*                      ) --+    |    |    |    |    |    |    |    |*/
 /*                           , --+    |    |    |    |    |    |    |*/
 /*                                % --+    |    |    |    |    |    |*/
 /*                               DECLARE --+    |    |    |    |    |*/
 /*                           condition prefix --+    |    |    |    |*/
 /*                                              IF --+    |    |    |*/
 /*                                                 THEN --+    |    |*/
 /*                                                      ELSE --+    |*/
 /*                                                           WHEN --+*/
 /*                                                                   */
 /*********************************************************************/
